﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Rotator.aspx.cs" Inherits="Tickets_Rotator" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <script type="text/javascript">
        window.$ = $telerik.$;
        //Property which is used to check wheter all animations are finished
        var allAnimations = 0;

        //Set initial images values
        function RotatorLoad(rotator, args)
        {
            var items = rotator.get_items();
            for (var item in items)
            {
                var itemElement = items[item].get_element();
                var img = itemElement.getElementsByTagName("img")[0];
                switch (item)
                {
                    case "1":
                        img.style.width = "66%";
                        img.style.top = "10%";
                        break;
                    case "2":
                        img.style.width = "100%";
                        break;
                    case "3":
                        img.style.width = "66%";
                        img.style.top = "10%";
                        break;
                    default:
                        img.style.width = "33%";
                        img.style.top = "33%";
                        break;
                }
            }
        }
        function RotatorItemShowing(rotator, args)
        {
            //Check whether all animations are finished. 
            if (allAnimations > 0)
            {
                //If all animations are not finished do not scroll the rotator.
                args.set_cancel(true);
                return;
            }
            allAnimations = 5;

            var item = args.get_item();
            var index = item.get_index();

            var animationDirection = rotator.get_animationDirection();
            var rotatorItems = rotator.get_items();
            var itemsLength = rotatorItems.length;

            for (var i = 0; i < 5; i++)
            {
                //Calculate image size depending on its index in the visible area
                var newWidth = "33%";
                var newTop = "33%";
                switch (i)
                {
                    case 1:
                        newWidth = "66%";
                        newTop = "10%";
                        break;
                    case 2:
                        newWidth = "100%";
                        newTop = "0%";
                        break;
                    case 3:
                        newWidth = "66%";
                        newTop = "10%";
                        break;

                }
                var newIndex;
                if (animationDirection == Telerik.Web.UI.RotatorScrollDirection.Right)
                {
                    newIndex = (index + i + itemsLength - 1) % itemsLength;
                }
                else if (animationDirection == Telerik.Web.UI.RotatorScrollDirection.Left)
                {
                    newIndex = (index + i + itemsLength + 1) % itemsLength;
                }

                // animate resizing via JQuery
                var imgForAnimation = rotatorItems[newIndex].get_element().getElementsByTagName("img")[0];
                $(imgForAnimation).animate({ width: newWidth,top:newTop }, 400, function ()
                {
                    allAnimations--;
                });
            }
        }
        
        
       
    </script>
    <script type="text/javascript">
        function scroll(direction)
        {
            var rotator = $find("RadRotator1");
            rotator.showNext(direction);
        }

        function scrollRight()
        {
            var rotator = $find("RadRotator1");
            rotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Right);
        }
    </script>
    <div>
        <table>
            <tr>
                <td>
                       <input type="button" value="left" onclick="scroll(Telerik.Web.UI.RotatorScrollDirection.Left);return false;" />
                </td>
                <td>
                    <telerik:RadRotator ID="RadRotator1" runat="server" Width="550px" Height="110px"
                        ItemHeight="110" ItemWidth="110" RotatorType="AutomaticAdvance" ScrollDuration="420"
                        FrameDuration="2000" ScrollDirection="Left,Right" OnClientLoad="RotatorLoad"
                        OnClientItemShowing="RotatorItemShowing">
                        <ItemTemplate>
                            <div style="width:110px;height:110px">
                                <img src='<%# Page.ResolveUrl("~/Tickets/Img/") + Container.DataItem %>.jpg' alt="Customer Image" style="position:relative"/>
                            </div>
                        </ItemTemplate>
                    </telerik:RadRotator>
                </td>
                <td>
                  <input type="button" value="right" onclick="scroll(Telerik.Web.UI.RotatorScrollDirection.Right);return false;" />
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
